IF NOT EXISTS(SELECT * FROM sys.indexes WHERE NAME='IX_INTER_VIMR_INFECTIOUS_PEOPLE')
    CREATE NONCLUSTERED INDEX IX_INTER_VIMR_INFECTIOUS_PEOPLE
    ON dbo.VIMR_INFECTIOUS_PEOPLE(DATE_LAST_INSERTED);
GO

IF NOT EXISTS(SELECT * FROM sys.indexes WHERE NAME='IX_INTER_FOUNDATION_NICE_IC_INTAKE_COUNT')
    CREATE NONCLUSTERED INDEX IX_INTER_FOUNDATION_NICE_IC_INTAKE_COUNT
    ON dbo.FOUNDATION_NICE_IC_INTAKE_COUNT(DATE_LAST_INSERTED);
GO

IF EXISTS(SELECT * FROM sys.indexes WHERE NAME='IX_INTER_VIMR_REPRODUCTION_NUMBER')
    CREATE CLUSTERED INDEX IX_INTER_VIMR_REPRODUCTION_NUMBER
    ON dbo.VIMR_INFECTIOUS_PEOPLE(DATE_LAST_INSERTED);
GO


CREATE STATISTICS Stats_Population ON [Reporting].[Population] 
([ID],[Facility],[Population])

GO

UPDATE STATISTICS Reporting.Population Stats_Population;

GO

UPDATE STATISTICS Reporting.Population (Stats_Facility, Stats_Population);

GO

DROP STATISTICS Reporting.Population.Stats_Population

GO

DROP INDEX IX_INTER_VIMR_REPRODUCTION_NUMBER
    ON dbo.VIMR_INFECTIOUS_PEOPLE;

GO
